# Create a Comment

POST https://api.close.com/api/v1/comment/
Content-Type: application/json

Create a comment on an object. If a comment thread already exists on that object, a new comment is added to the existing thread. If no thread exists yet, one is created automatically.

Reference: https://developer.close.com/api/resources/comments/create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /comment/:
    post:
      operationId: create
      summary: Create a Comment
      description: >-
        Create a comment on an object. If a comment thread already exists on
        that object, a new comment is added to the existing thread. If no thread
        exists yet, one is created automatically.
      tags:
        - subpackage_comments
      parameters:
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/comments_create_Response_201'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateComment'
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    CreateComment:
      type: object
      properties:
        body:
          type: string
        object_id:
          type: string
      required:
        - body
        - object_id
      title: CreateComment
    comments_create_Response_201:
      type: object
      properties: {}
      description: Empty response body
      title: comments_create_Response_201
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```